Bug 372171 - nm-applet will not run/display
nm-applet will not run/display
Status: CLOSED DUPLICATE of bug 456046
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
All Linux
low Severity urgent
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-09 00:37 EST by Ben Kevan
Modified: 2009-02-04 19:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 19:06:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Kevan 2007-11-09 00:37:19 EST
How reproducible:
Try running knetworkmanager
  
Actual results:
[bkevan@localhost ~]$ knetworkmanager

** (nm-applet:4064): WARNING **: <WARN>  applet_dbus_manager_start_service():
Could not acquire the NetworkManagerUserSettings service as it is already taken.
 Return: 3


(nm-applet:4064): GLib-CRITICAL **: g_hash_table_destroy: assertion `hash_table
!= NULL' failed

(nm-applet:4064): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed

(nm-applet:4064): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed
Comment 1 Rex Dieter 2007-11-09 00:49:42 EST
knetworkmanager here is simply trying to run nm-applet (NetworkManger-gnome). 
The error you're seeing implies nm-applet is already running.

Is this the case (or not)?
Comment 2 Ben Kevan 2007-11-09 01:08:16 EST
[bkevan@localhost ~]$ ps -ae | grep nm-applet
 3042 ?        00:00:00 nm-applet


Yes it running.. But I don't see it in the tray.. 

What's up with that? 
Comment 3 Dennis Gilmore 2007-11-09 07:44:42 EST
is the NetworkManager service running?   you wont see the applet until it is
Comment 4 Rex Dieter 2007-11-09 07:55:10 EST
regardless, Reassigning -> NetworkManager
Comment 5 Christopher Ness 2007-11-21 20:52:32 EST
I get the same error with multiple users on a laptop attempting to control the
network interface.

User A starts the laptop.
User A logs in and the nm-applet is loaded
User A locks the screen
User B switches users and logs in attempting to start nm-applet
User B does not see nm-applet in the Notification Area
User B cannot acquire the NetworkManagerUserSettings service as it is already taken.
User B cannot control the network.

User B is expecting User A's nm-applet will yeild control of the network to the
user who has access to the Xserver.  Both users are logged in at the same time.

[nesscg@localhost ~]$ nm-applet --version
GNOME nm-applet 0.7.0

This is the closest thing to an existing bug I could find.

Cheers,
Chris
Comment 6 Dan Williams 2008-09-29 22:45:49 EDT
Closing due to inactivity; info requested in comment #3
Comment 7 Nicola Soranzo 2008-09-30 10:23:49 EDT
I'm not the original reporter, but I can see the same problem.

# /etc/init.d/NetworkManager status
NetworkManager (pid 2400) is running...

Also, as explained in comment #5, there is one nm-applet instance running, but it's the one of user A.
Comment 8 Dan Williams 2009-02-04 19:06:51 EST

*** This bug has been marked as a duplicate of bug 456046 ***

Note You need to log in before you can comment on or make changes to this bug.